; hacker port firmware
; version 0.1 date 2004-05-05
; part of the hacker port project - http[s]://1stein.schuermans.info/hackerport/
; Copyright (C) 2003-2004 1stein <1stein@schuermans.info>
; Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html

	TITLE		"global bits for hackerport firmware"



;===========================================================================================
; global bits
;===========================================================================================

; these bits are locates in the bytes BITSx

; for a bit there are several defines:
; - the bit: BIT_<bitname>
; - the byte the bit is located in: BIT_<bitname>_BYTE
; - the mask to access the bit in its byte: BIT_<bitname>_MASK

; indicator that usb power is allowed
; 1: usb power may be used
; - written by usb
; - read by main
#define		BIT_USB_PWR_OK		BITS0,0
#define		BIT_USB_PWR_OK_BYTE	BITS0
#define		BIT_USB_PWR_OK_MASK	0x01

; indicator that new data for outputs and PWM outputs is available
; 1: new data is available
; - set by usb
; - cleared by main
#define		BIT_OUT_PWM		BITS0,1
#define		BIT_OUT_PWM_BYTE	BITS0
#define		BIT_OUT_PWM_MASK	0x02

; indicator that new data from inputs or analog inputs is available
; 1: new data is available
; - set by main
; - cleared by usb
#define		BIT_IN_ANA		BITS0,2
#define		BIT_IN_ANA_BYTE		BITS0
#define		BIT_IN_ANA_MASK		0x04
